<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="ru">
<head>
<!-- Generated by javadoc (1.8.0_191) on Sat Dec 08 12:43:15 EET 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf8">
<title>AddressDAO</title>
<meta name="date" content="2018-12-08">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="AddressDAO";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9,"i7":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../Database/Configuration.html" title="class in Database"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?Database/AddressDAO.html" target="_top">Frames</a></li>
<li><a href="AddressDAO.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">Database</div>
<h2 title="Class AddressDAO" class="title">Class AddressDAO</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>Database.AddressDAO</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">AddressDAO</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Database/AddressDAO.html#addAddress">addAddress</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Database/AddressDAO.html#createTable">createTable</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Database/AddressDAO.html#deleteByAddress">deleteByAddress</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Database/AddressDAO.html#deleteById">deleteById</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Database/AddressDAO.html#getAll">getAll</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Database/AddressDAO.html#getByAddress">getByAddress</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Database/AddressDAO.html#getById">getById</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../Database/AddressDAO.html#AddressDAO--">AddressDAO</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Database/AddressDAO.html#createTable--">createTable</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Database/AddressDAO.html#deleteByAddress-java.lang.String-">deleteByAddress</a></span>(java.lang.String&nbsp;addressDelete)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Database/AddressDAO.html#deleteById-int-">deleteById</a></span>(int&nbsp;deleteId)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static java.util.List&lt;<a href="../com/Model/FullAddress.html" title="class in com.Model">FullAddress</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Database/AddressDAO.html#findByAddress-java.lang.String-">findByAddress</a></span>(java.lang.String&nbsp;addressFind)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static <a href="../com/Model/FullAddress.html" title="class in com.Model">FullAddress</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Database/AddressDAO.html#findById-int-">findById</a></span>(int&nbsp;idFind)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static java.util.List&lt;<a href="../com/Model/FullAddress.html" title="class in com.Model">FullAddress</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Database/AddressDAO.html#getAll--">getAll</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static java.sql.Connection</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Database/AddressDAO.html#getConnection--">getConnection</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Database/AddressDAO.html#insertTable-com.Model.FullAddress-">insertTable</a></span>(<a href="../com/Model/FullAddress.html" title="class in com.Model">FullAddress</a>&nbsp;address)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="createTable">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createTable</h4>
<pre>private static final&nbsp;java.lang.String createTable</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#CREATE_TABLE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="addAddress">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addAddress</h4>
<pre>private static final&nbsp;java.lang.String addAddress</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#Database.AddressDAO.addAddress">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="getAll">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAll</h4>
<pre>private static final&nbsp;java.lang.String getAll</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#Database.AddressDAO.getAll">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="getByAddress">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getByAddress</h4>
<pre>private static final&nbsp;java.lang.String getByAddress</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#Database.AddressDAO.getByAddress">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="getById">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getById</h4>
<pre>private static final&nbsp;java.lang.String getById</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#Database.AddressDAO.getById">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="deleteByAddress">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteByAddress</h4>
<pre>private static final&nbsp;java.lang.String deleteByAddress</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#Database.AddressDAO.deleteByAddress">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="deleteById">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>deleteById</h4>
<pre>private static final&nbsp;java.lang.String deleteById</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#Database.AddressDAO.deleteById">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="AddressDAO--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AddressDAO</h4>
<pre>public&nbsp;AddressDAO()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getConnection--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConnection</h4>
<pre>public static&nbsp;java.sql.Connection&nbsp;getConnection()
                                         throws java.lang.ClassNotFoundException,
                                                java.sql.SQLException</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.ClassNotFoundException</code></dd>
<dd><code>java.sql.SQLException</code></dd>
</dl>
</li>
</ul>
<a name="createTable--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createTable</h4>
<pre>public static&nbsp;void&nbsp;createTable()
                        throws java.lang.ClassNotFoundException,
                               java.sql.SQLException</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.ClassNotFoundException</code></dd>
<dd><code>java.sql.SQLException</code></dd>
</dl>
</li>
</ul>
<a name="insertTable-com.Model.FullAddress-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>insertTable</h4>
<pre>public static&nbsp;int&nbsp;insertTable(<a href="../com/Model/FullAddress.html" title="class in com.Model">FullAddress</a>&nbsp;address)
                       throws java.sql.SQLException,
                              java.lang.NullPointerException,
                              java.lang.ClassNotFoundException</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code></dd>
<dd><code>java.lang.NullPointerException</code></dd>
<dd><code>java.lang.ClassNotFoundException</code></dd>
</dl>
</li>
</ul>
<a name="getAll--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAll</h4>
<pre>public static&nbsp;java.util.List&lt;<a href="../com/Model/FullAddress.html" title="class in com.Model">FullAddress</a>&gt;&nbsp;getAll()
                                          throws java.lang.ClassNotFoundException,
                                                 java.sql.SQLException</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.ClassNotFoundException</code></dd>
<dd><code>java.sql.SQLException</code></dd>
</dl>
</li>
</ul>
<a name="findByAddress-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findByAddress</h4>
<pre>public static&nbsp;java.util.List&lt;<a href="../com/Model/FullAddress.html" title="class in com.Model">FullAddress</a>&gt;&nbsp;findByAddress(java.lang.String&nbsp;addressFind)
                                                 throws java.lang.ClassNotFoundException,
                                                        java.sql.SQLException</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.ClassNotFoundException</code></dd>
<dd><code>java.sql.SQLException</code></dd>
</dl>
</li>
</ul>
<a name="findById-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findById</h4>
<pre>public static&nbsp;<a href="../com/Model/FullAddress.html" title="class in com.Model">FullAddress</a>&nbsp;findById(int&nbsp;idFind)
                            throws java.lang.ClassNotFoundException,
                                   java.sql.SQLException</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.ClassNotFoundException</code></dd>
<dd><code>java.sql.SQLException</code></dd>
</dl>
</li>
</ul>
<a name="deleteByAddress-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteByAddress</h4>
<pre>public static&nbsp;void&nbsp;deleteByAddress(java.lang.String&nbsp;addressDelete)
                            throws java.lang.ClassNotFoundException,
                                   java.sql.SQLException</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.ClassNotFoundException</code></dd>
<dd><code>java.sql.SQLException</code></dd>
</dl>
</li>
</ul>
<a name="deleteById-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>deleteById</h4>
<pre>public static&nbsp;void&nbsp;deleteById(int&nbsp;deleteId)
                       throws java.lang.ClassNotFoundException,
                              java.sql.SQLException</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.ClassNotFoundException</code></dd>
<dd><code>java.sql.SQLException</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../Database/Configuration.html" title="class in Database"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?Database/AddressDAO.html" target="_top">Frames</a></li>
<li><a href="AddressDAO.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
